# -*- coding: iso-8859-1 -*-
from __future__ import division # 1/2 == .5 (par defaut, 1/2 == 0)

from customtest import *




class TestGeolibLabels(CustomTest):

    def test_Label_point(self):
        A = rand_pt()
        B = rand_pt()
        A.label("Position de l'hirondelle d'Afrique.")
        B.label(u"Position de l'hirondelle européenne.")
        self.assert_(A.label() == "Position de l'hirondelle d'Afrique.")
        self.assert_(B.label() == u"Position de l'hirondelle européenne.")
        A.style(legende = wxgeo.NOM)
        self.assert_(A.label() == "")

    def test_Label_segment(self):
        pass # À ÉCRIRE

    def test_Label_droite(self):
        pass # À ÉCRIRE

    def test_Label_demidroite(self):
        pass # À ÉCRIRE

    def test_Label_cercle(self):
        pass # À ÉCRIRE

    def test_Label_arc_cercle(self):
        pass # À ÉCRIRE

    def test_Label_polygone(self):
        pass # À ÉCRIRE

    def test_Label_angle(self):
        pass # À ÉCRIRE


if __name__ == '__main__':
    unittest.main()
